Arbitrary Command Injection Affecting aliyundrive-webdav package, versions [0,]


0.0
critical

Snyk CVSS

    Attack Complexity Low
    Confidentiality High
    Integrity High
    Availability High

    Threat Intelligence

    Exploit Maturity Proof of concept
    EPSS 0.05% (15th percentile)

Do your applications use this vulnerable package?

In a few clicks we can analyze your entire application and see what components are vulnerable in your application, and suggest you quick fixes.

Test your applications
  • Snyk ID SNYK-PYTHON-ALIYUNDRIVEWEBDAV-6514820
  • published 31 Mar 2024
  • disclosed 29 Mar 2024
  • credit Unknown

How to fix?

There is no fixed version for aliyundrive-webdav.

Overview

aliyundrive-webdav is a WebDAV server for AliyunDrive

Affected versions of this package are vulnerable to Arbitrary Command Injection via the action_query_qrcode() function, whose sid parameter can be used to pass in OS commands.

References